<h2 style="text-align:center">OPEN SOURCE SOFTWARE NOTICE</h2>
<p>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Technologies Co. Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</p>
<h3>Warranty Disclaimer</h3>
<p><strong>THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.</strong></p>
<h3>Copyright Notice and License Texts</h3>
<h4>Software: airbnb/lottie-android 3.7.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2010 Google Inc.</p>
<p>Copyright (C) 2010 The Android Open Source Project</p>
<p>Copyright (C) 2012 Google Inc.</p>
<p>Copyright (C) 2015 Square, Inc.</p>
<p>Copyright (C) 2016 Square, Inc.</p>
<p>Copyright 2018 Airbnb, Inc.</p>
<h5>License: Apache License V2.0</h5>
<pre><code>                             Apache License
                       Version 2.0, January 2004
                    http://www.apache.org/licenses/
</code></pre>
<p>TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION</p>
<ol>
<li>
<p>Definitions.</p>
<p>&quot;License&quot; shall mean the terms and conditions for use, reproduction,
and distribution as defined by Sections 1 through 9 of this document.</p>
<p>&quot;Licensor&quot; shall mean the copyright owner or entity authorized by
the copyright owner that is granting the License.</p>
<p>&quot;Legal Entity&quot; shall mean the union of the acting entity and all
other entities that control, are controlled by, or are under common
control with that entity. For the purposes of this definition,
&quot;control&quot; means (i) the power, direct or indirect, to cause the
direction or management of such entity, whether by contract or
otherwise, or (ii) ownership of fifty percent (50%) or more of the
outstanding shares, or (iii) beneficial ownership of such entity.</p>
<p>&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
exercising permissions granted by this License.</p>
<p>&quot;Source&quot; form shall mean the preferred form for making modifications,
including but not limited to software source code, documentation
source, and configuration files.</p>
<p>&quot;Object&quot; form shall mean any form resulting from mechanical
transformation or translation of a Source form, including but
not limited to compiled object code, generated documentation,
and conversions to other media types.</p>
<p>&quot;Work&quot; shall mean the work of authorship, whether in Source or
Object form, made available under the License, as indicated by a
copyright notice that is included in or attached to the work
(an example is provided in the Appendix below).</p>
<p>&quot;Derivative Works&quot; shall mean any work, whether in Source or Object
form, that is based on (or derived from) the Work and for which the
editorial revisions, annotations, elaborations, or other modifications
represent, as a whole, an original work of authorship. For the purposes
of this License, Derivative Works shall not include works that remain
separable from, or merely link (or bind by name) to the interfaces of,
the Work and Derivative Works thereof.</p>
<p>&quot;Contribution&quot; shall mean any work of authorship, including
the original version of the Work and any modifications or additions
to that Work or Derivative Works thereof, that is intentionally
submitted to Licensor for inclusion in the Work by the copyright owner
or by an individual or Legal Entity authorized to submit on behalf of
the copyright owner. For the purposes of this definition, &quot;submitted&quot;
means any form of electronic, verbal, or written communication sent
to the Licensor or its representatives, including but not limited to
communication on electronic mailing lists, source code control systems,
and issue tracking systems that are managed by, or on behalf of, the
Licensor for the purpose of discussing and improving the Work, but
excluding communication that is conspicuously marked or otherwise
designated in writing by the copyright owner as &quot;Not a Contribution.&quot;</p>
<p>&quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
on behalf of whom a Contribution has been received by Licensor and
subsequently incorporated within the Work.</p>
</li>
<li>
<p>Grant of Copyright License. Subject to the terms and conditions of
this License, each Contributor hereby grants to You a perpetual,
worldwide, non-exclusive, no-charge, royalty-free, irrevocable
copyright license to reproduce, prepare Derivative Works of,
publicly display, publicly perform, sublicense, and distribute the
Work and such Derivative Works in Source or Object form.</p>
</li>
<li>
<p>Grant of Patent License. Subject to the terms and conditions of
this License, each Contributor hereby grants to You a perpetual,
worldwide, non-exclusive, no-charge, royalty-free, irrevocable
(except as stated in this section) patent license to make, have made,
use, offer to sell, sell, import, and otherwise transfer the Work,
where such license applies only to those patent claims licensable
by such Contributor that are necessarily infringed by their
Contribution(s) alone or by combination of their Contribution(s)
with the Work to which such Contribution(s) was submitted. If You
institute patent litigation against any entity (including a
cross-claim or counterclaim in a lawsuit) alleging that the Work
or a Contribution incorporated within the Work constitutes direct
or contributory patent infringement, then any patent licenses
granted to You under this License for that Work shall terminate
as of the date such litigation is filed.</p>
</li>
<li>
<p>Redistribution. You may reproduce and distribute copies of the
Work or Derivative Works thereof in any medium, with or without
modifications, and in Source or Object form, provided that You
meet the following conditions:</p>
<p>(a) You must give any other recipients of the Work or
Derivative Works a copy of this License; and</p>
<p>(b) You must cause any modified files to carry prominent notices
stating that You changed the files; and</p>
<p>(c) You must retain, in the Source form of any Derivative Works
that You distribute, all copyright, patent, trademark, and
attribution notices from the Source form of the Work,
excluding those notices that do not pertain to any part of
the Derivative Works; and</p>
<p>(d) If the Work includes a &quot;NOTICE&quot; text file as part of its
distribution, then any Derivative Works that You distribute must
include a readable copy of the attribution notices contained
within such NOTICE file, excluding those notices that do not
pertain to any part of the Derivative Works, in at least one
of the following places: within a NOTICE text file distributed
as part of the Derivative Works; within the Source form or
documentation, if provided along with the Derivative Works; or,
within a display generated by the Derivative Works, if and
wherever such third-party notices normally appear. The contents
of the NOTICE file are for informational purposes only and
do not modify the License. You may add Your own attribution
notices within Derivative Works that You distribute, alongside
or as an addendum to the NOTICE text from the Work, provided
that such additional attribution notices cannot be construed
as modifying the License.</p>
<p>You may add Your own copyright statement to Your modifications and
may provide additional or different license terms and conditions
for use, reproduction, or distribution of Your modifications, or
for any such Derivative Works as a whole, provided Your use,
reproduction, and distribution of the Work otherwise complies with
the conditions stated in this License.</p>
</li>
<li>
<p>Submission of Contributions. Unless You explicitly state otherwise,
any Contribution intentionally submitted for inclusion in the Work
by You to the Licensor shall be under the terms and conditions of
this License, without any additional terms or conditions.
Notwithstanding the above, nothing herein shall supersede or modify
the terms of any separate license agreement you may have executed
with Licensor regarding such Contributions.</p>
</li>
<li>
<p>Trademarks. This License does not grant permission to use the trade
names, trademarks, service marks, or product names of the Licensor,
except as required for reasonable and customary use in describing the
origin of the Work and reproducing the content of the NOTICE file.</p>
</li>
<li>
<p>Disclaimer of Warranty. Unless required by applicable law or
agreed to in writing, Licensor provides the Work (and each
Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
implied, including, without limitation, any warranties or conditions
of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
PARTICULAR PURPOSE. You are solely responsible for determining the
appropriateness of using or redistributing the Work and assume any
risks associated with Your exercise of permissions under this License.</p>
</li>
<li>
<p>Limitation of Liability. In no event and under no legal theory,
whether in tort (including negligence), contract, or otherwise,
unless required by applicable law (such as deliberate and grossly
negligent acts) or agreed to in writing, shall any Contributor be
liable to You for damages, including any direct, indirect, special,
incidental, or consequential damages of any character arising as a
result of this License or out of the use or inability to use the
Work (including but not limited to damages for loss of goodwill,
work stoppage, computer failure or malfunction, or any and all
other commercial damages or losses), even if such Contributor
has been advised of the possibility of such damages.</p>
</li>
<li>
<p>Accepting Warranty or Additional Liability. While redistributing
the Work or Derivative Works thereof, You may choose to offer,
and charge a fee for, acceptance of support, warranty, indemnity,
or other liability obligations and/or rights consistent with this
License. However, in accepting such obligations, You may act only
on Your own behalf and on Your sole responsibility, not on behalf
of any other Contributor, and only if You agree to indemnify,
defend, and hold each Contributor harmless for any liability
incurred by, or claims asserted against, such Contributor by reason
of your accepting any such warranty or additional liability.</p>
</li>
</ol>
<p>END OF TERMS AND CONDITIONS</p>
<p>APPENDIX: How to apply the Apache License to your work.</p>
<pre><code>  To apply the Apache License to your work, attach the following
  boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
  replaced with your own identifying information. (Don't include
  the brackets!)  The text should be enclosed in the appropriate
  comment syntax for the file format. We also recommend that a
  file or class name and description of purpose be included on the
  same &quot;printed page&quot; as the copyright notice for easier
  identification within third-party archives.
</code></pre>
<p>Copyright [yyyy] [name of copyright owner]</p>
<p>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
you may not use this file except in compliance with the License.
You may obtain a copy of the License at</p>
<pre><code>   http://www.apache.org/licenses/LICENSE-2.0
</code></pre>
<p>Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.</p>
<h4>Software: AndroidX Activity 1.2.4</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright 2023 The Android Open Source Project</p>
<p>Copyright 2022 The Android Open Source Project</p>
<p>Copyright (c) 2020 The Android Open Source Project</p>
<p>Copyright (c) 2018 The Android Open Source Project</p>
<p>Copyright (c) 2019 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Activity 1.2.2</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2020 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Annotation 1.1.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright (C) 2013 The Android Open Source Project</p>
<p>Copyright (C) 2016 The Android Open Source Project</p>
<p>Copyright (C) 2014 The Android Open Source Project</p>
<p>Copyright (C) 2015 The Android Open Source Project</p>
<p>Copyright (C) 2017 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Annotation 1.2.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2020 The Android Open Source Project</p>
<p>Copyright (C) 2019 The Android Open Source Project</p>
<p>Copyright (C) 2018 The Android Open Source Project</p>
<p>Copyright (C) 2017 The Android Open Source Project</p>
<p>Copyright (C) 2016 The Android Open Source Project</p>
<p>Copyright (C) 2015 The Android Open Source Project</p>
<p>Copyright (C) 2014 The Android Open Source Project</p>
<p>Copyright (C) 2013 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Appcompat 1.1.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2014 The Android Open Source Project</p>
<p>Copyright (c) 2012 The Android Open Source Project</p>
<p>Copyright (c) 2016 The Android Open Source Project</p>
<p>Copyright (c) 2015 The Android Open Source Project</p>
<p>Copyright (c) 2017 The Android Open Source Project</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright (c) 2018 The Android Open Source Project</p>
<p>Copyright 2015 The Android Open Source Project</p>
<p>Copyright 2017 The Android Open Source Project</p>
<p>Copyright (c) 2009 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Arch Core 2.1.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2017 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Asynclayoutinflater 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Collection 1.1.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Core 1.1.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2015 The Android Open Source Project</p>
<p>Copyright (C) 2013 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright (C) 2011 The Android Open Source Project</p>
<p>Copyright (C) 2017 The Android Open Source Project</p>
<p>Copyright (C) 2014 The Android Open Source Project</p>
<p>Copyright (C) 2016 The Android Open Source Project</p>
<p>Copyright 2015 The Android Open Source Project</p>
<p>Copyright 2017 The Android Open Source Project</p>
<p>Copyright (C) 2012 The Android Open Source Project</p>
<p>Copyright (C) 2018 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright (C) 2009 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Core 1.6.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2015 The Android Open Source Project Licensed under the Apache License, Version 2.0 (the "License");</p>
<p>Copyright (C) 2011 The Android Open Source Project</p>
<p>Copyright (C) 2012 The Android Open Source Project</p>
<p>Copyright (C) 2017 The Android Open Source Project</p>
<p>Copyright 2017 The Android Open Source Project</p>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright (C) 2014 The Android Open Source Project</p>
<p>Copyright (C) 2018 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright (C) 2009 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright (C) 2019 The Android Open Source Project</p>
<p>Copyright 2015 The Android Open Source Project</p>
<p>Copyright (C) 2016 The Android Open Source Project</p>
<p>Copyright (C) 2013 The Android Open Source Project</p>
<p>Copyright (C) 2021 The Android Open Source Project</p>
<p>Copyright (C) 2015 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Cursoradapter 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Customview 1.1.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Drawerlayout 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Exifinterface 1.2.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Fragment 1.3.6</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright (c) 2013 Google Inc.</p>
<p>Copyright (c) 2010 Google Inc.</p>
<p>Copyright 2017 The Android Open Source Project</p>
<p>Copyright (c) 2017 The Android Open Source Project</p>
<p>Copyright (c) 2007 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open stream Project</p>
<p>Copyright (c) 2015 Google Inc.</p>
<p>Copyright (c) 2016 Google Inc.</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) Google</p>
<p>Copyright (c) 2014 The Android Open Source Project</p>
<p>Copyright Mathias Bynens <a href="https://mathiasbynens.be/">https://mathiasbynens.be/</a></p>
<p>Copyright (c) 2006, David Crawshaw</p>
<p>Copyright (c) 2016 The Android Open Source Project</p>
<p>copyrighted by the Free Software Foundation</p>
<p>Copyright (c) 2008 Alexander Beider &amp; Stephen P. Morse</p>
<p>Copyright (c) 2019 The Android Open Source Project</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright (c) 2012-2017 The ANTLR Project</p>
<p>Copyright (c) 2019, The Android Open Source Project</p>
<p>Copyright (c) 2014 by Bart Kiers</p>
<p>Copyright (c) 2016SS The Android Open Source Project</p>
<p>Copyright 2016 The Android Open Source Project</p>
<p>Copyright (c) 2008 The Android Open Source Project</p>
<p>Copyright (c) 2001-2016 the original author or authors</p>
<p>Copyright 2006 The Inconsolata Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright 2002-2016 The Apache Software Foundation</p>
<p>Copyright (c) 2010 The Android Open Source Project</p>
<p>Copyright 2010, The Android Open Source Project</p>
<p>Copyright today.year The Android Open Source Project</p>
<p>Copyright 2019 - The Android Open Source Project</p>
<p>Copyright 2010-2017 JetBrains s.r.o.</p>
<p>Copyright 2016, The Android Open Source Project</p>
<p>Copyright 2017, The Android Open Source Project</p>
<p>Copyright 2015, The Android Open Source Project</p>
<p>Copyright 2018, The Android Open Source Project</p>
<p>Copyright 2012, The Android Open Source Project</p>
<p>Copyright 2011, The Android Open Source Project</p>
<p>Copyright 2014, The Android Open Source Project</p>
<p>Copyright 2013, The Android Open Source Project</p>
<p>Copyright (c) 2012 The Android Open Source Project</p>
<p>Copyright 2019, The Android Open Source Project</p>
<p>Copyright (c) 2002 Kevin Atkinson (kevina@gnu.org)</p>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright 2008, The Android Open Source Project</p>
<p>Copyright, John Smith, 19xx</p>
<p>Copyright (c) 2017 The Android Open Source ProjectSample FontRegularSampleFont-RegularSource</p>
<p>Copyright (c) 20188 The Android Open Source Project</p>
<p>Copyright 2015 The Android Open Source Project</p>
<p>Copyright 2010-2015 JetBrains s.r.o</p>
<p>Copyright (c) 2006 The Android Open Source Project</p>
<p>Copyright (c) 2009 The Android Open Source Project</p>
<p>Copyright The Android Open Source Project</p>
<p>Copyright (c) 1991, 1999 Free Software Foundation, Inc.</p>
<p>(c) 2017 The Android Open Source ProjectSample FontThin ItalicSampleFont-ThinItalicLicensed</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright Exif IFD Attribute</p>
<p>Copyright 2018 Google Inc.</p>
<p>Copyright (c) The Android Open Source Project</p>
<p>Copyright (c) 2015 The Android Open Source Project</p>
<p>Copyright (c) 2020 The Android Open Source Project</p>
<p>Copyright 2020 The Android expanded Source Project</p>
<p>Copyright 2006 The Inconsolata Project AuthorsInconsolataRegular2.000 CYRE Inconsolata-RegularInconsolata RegularVersion</p>
<p>Copyright (c) 2020 The Dagger Authors</p>
<p>Copyright (c) 2011 Google Inc.</p>
<p>Copyright (c) 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Interpolator 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Legacy 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2012 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Lifecycle 2.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2016 The Android Open Source Project</p>
<p>Copyright (C) 2016 The Android Open Source Project Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</p>
<p>Copyright (C) 2017 The Android Open Source Project</p>
<p>Copyright (C) 2018 The Android Open Source Project</p>
<p>Copyright (C) 2019 The Android Open Source Project</p>
<p>Copyright (C) 2020 The Android Open Source Project</p>
<p>Copyright 2010-2015 JetBrains s.r.o and respective authors and developers</p>
<p>Copyright 2010-2017 JetBrains s.r.o.</p>
<p>Copyright 2017 The Android Open Source Project</p>
<p>Copyright 2017, The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright 2022 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Lifecycle 2.3.1</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2017 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Loader 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2014 The Android Open Source Project</p>
<p>Copyright (C) 2015 The Android Open Source Project</p>
<p>Copyright (C) 2019 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Palette 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Preference 1.2.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2016 The Android Open Source Project</p>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright (c) 2006 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright (c) 2015 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright (c) 2020 The Android Open Source Project</p>
<p>Copyright (c) 2017 The Android Open Source Project</p>
<p>Copyright (c) 2018 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX RecyclerView 1.2.1</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright (c) today.year The Android Open Source Project</p>
<p>Copyright 2003-2012 the original author or authors</p>
<p>Copyright (c) 2019 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<p>Copyright (c) 2021 The Android Open Source Project</p>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright (c) 2020 The Android Open Source Project</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright (c) 2022 The Android Open Source Project</p>
<p>Copyright (c) 2018 The Android Open Source Project</p>
<p>Copyright (c) 2017 The Android Open Source Project</p>
<p>Copyright (c) 2015 The Android Open Source Project</p>
<p>Copyright (c) 2016 The Android Open Source Project</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Savedstate 1.1.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Slidingpanelayout 1.2.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright (c) 2014 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Trancing 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2020 The Android Open Source Project</p>
<p>Copyright 2020 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Vectordrawable 1.1.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2015 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: AndroidX Viewpager 1.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2018 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: EventBus 3.3.1</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright (c) 2012-2021 Markus Junginger, greenrobot (https://greenrobot.org)</p>
<p>Copyright (c) 2012-2020 https://greenrobot.org'&gt; greenrobot.org</p>
<p>Copyright (c) 2012-2016 Markus Junginger, greenrobot (http://greenrobot.org)</p>
<p>Copyright (c) 2012-2020 Markus Junginger, greenrobot (http://greenrobot.org)</p>
<p>Copyright (c) 2015-2020 https://greenrobot.org'&gt; greenrobot.org</p>
<p>Copyright (c) 2012-2017 Markus Junginger, greenrobot (http://greenrobot.org)</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: glide 4.13.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright 2014 Google, Inc.</p>
<p>Copyright 2012 Jake Wharton</p>
<p>Copyright 2011 The Android Open Source Project</p>
<p>Copyright (c) 2013 Xcellent Creations, Inc.</p>
<p>Copyright (c) 1994 Anthony Dekker</p>
<p>Copyright 2007 Google Inc.</p>
<p>Copyright (c) 2013. Bump Technologies Inc.</p>
<p>Copyright 2013 Chris Banes</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2012 The Android Open Source Project</p>
<p>Copyright (c) 2010 The Android Open Source Project</p>
<p>Copyright (c) 2010 Dave Perrett, http://recursive-design.com</p>
<p>Copyright (c) 2010 Dave Perrett</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: gson 2.9.1</h4>
<h5>Copyright notice:</h5>
<p>Copyright (C) 2008 Google Inc.</p>
<p>Copyright (C) 2009 Google Inc.</p>
<p>Copyright (C) 2010 Google Inc.</p>
<p>Copyright (C) 2010 The Android Open Source Project</p>
<p>Copyright (C) 2011 Google Inc.</p>
<p>Copyright (C) 2012 Google Inc.</p>
<p>Copyright (C) 2014 Google Inc.</p>
<p>Copyright (C) 2015 Google Inc.</p>
<p>Copyright (C) 2016 Google Inc.</p>
<p>Copyright (C) 2016 Gson Authors</p>
<p>Copyright (C) 2016 The Gson Authors</p>
<p>Copyright (C) 2017 Google Inc.</p>
<p>Copyright (C) 2017 Gson Authors</p>
<p>Copyright (C) 2017 The Gson authors</p>
<p>Copyright (C) 2018 Gson Authors</p>
<p>Copyright (C) 2018 The Gson authors</p>
<p>Copyright (C) 2020 Google Inc.</p>
<p>Copyright (C) 2021 Google Inc.</p>
<p>Copyright 2008 Google Inc.</p>
<p>Copyright 2008-2011 Google Inc.</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: JetBrains/java-annotations 13.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2000-2013 JetBrains s.r.o.</p>
<p>Copyright 2006 Sascha Weinreuter</p>
<p>Copyright 2000-2012 JetBrains s.r.o.</p>
<p>Copyright 2000-2009 JetBrains s.r.o.</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: Kotlin 1.5.31</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2005 University of Maryland - Path</p>
<p>Copyright (c) 2008-2018, Nathan Sweet</p>
<p>Copyright (c) 1995, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996 by Internet Software Consortium</p>
<p>Copyright (c) 2005-2006 University of Maryland</p>
<p>Copyright (c) 1997, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999 CERN - European Organization for Nuclear Research</p>
<p>Copyright (c) 2013 Square, Inc.</p>
<p>Copyright (c) 2013 Aaron Forsander</p>
<p>Copyright (c) 2008 Ariel Flesler</p>
<p>Copyright (c) 2016 The Android Open Source Project</p>
<p>Copyright (c) 1996, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012 John Resig, Jorn Zaefferer</p>
<p>Copyright (c) 2000 by Martin Pool <a href="mailto:mbp@humbug.org.au">mbp@humbug.org.au</a></p>
<p>Copyright (c) Caldera International Inc. 2001-2002</p>
<p>Copyright 2011-2017, JetBrains</p>
<p>Copyright (c) 2005 University of Maryland</p>
<p>Copyright (c) 1996, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009-2013 The Project Lombok Authors</p>
<p>Copyright (c) 2000-2006, www.hamcrest.org</p>
<p>Copyright (c) 1996, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright (c) 2009-2021 The Project Lombok Authors</p>
<p>Copyright 2010-2017 JetBrains s.r.o.</p>
<p>Copyright (c) 2019, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2000-2015 www.hamcrest.org</p>
<p>Copyright (c) The Internet Society (2005)</p>
<p>Copyright (c) 2003-2009 Steven G. Kargl</p>
<p>Copyright (c) 2000, 2005, Oracle and/or its affiliates</p>
<p>copyright by JetBrains</p>
<p>Copyright 2000-2018 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>(c) 2007-08 Google Inc.</p>
<p>Copyright 2000-2020 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1993 by Sun Microsystems, Inc.</p>
<p>Copyright (c) 1998, 1999, Oracle and/or its affiliates</p>
<p>(c) Copyright Taligent, Inc. 1996, 1997</p>
<p>Copyright (c) 2018,2019, Microsoft Research, Daan Leijen</p>
<p>Copyright 2001-2009 Kent Beck <a href="mailto:kent@threeriversinstitute.org">kent@threeriversinstitute.org</a></p>
<p>Copyright (c) 1994, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000-2011 ymnk, JCraft,Inc.</p>
<p>Copyright (c) 1994, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997-1999 Netscape Communications Corporation</p>
<p>Copyright (c) 2011-2013 Vojta Jina and contributors</p>
<p>Copyright 2000-2020 JetBrains s.r.o.</p>
<p>Copyright 2010-2018 JetBrains s.r.o.</p>
<p>Copyright 2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2006-2009 Glenn Randers-Pehrson</p>
<p>Copyright (c) 2018 Chad Retz</p>
<p>Copyright (c) 1994, 2001, Oracle and/or its affiliates</p>
<p>Copyright 2010-2018 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>(c) 1995-2004 Jean-loup Gailly and Mark Adler</p>
<p>Copyright (c) 2004-2017 QOS.ch</p>
<p>Copyright (c) 2015 The Android Open Source Project</p>
<p>Copyright (c) 1993,2004 Sun Microsystems</p>
<p>Copyright 2010-2020 JetBrains s.r.o</p>
<p>Copyright (c) 1995-2005 International Business Machines Corporation and others</p>
<p>Copyright 2006-2009 David Saff <a href="mailto:david@saff.net">david@saff.net</a></p>
<p>Copyright (c) 1991-2005 Unicode, Inc.</p>
<p>Copyright (c) 1991-2005 Unicode, Inc.</p>
<p>copyright (c) 1991-1998, Thomas G. Lane</p>
<p>Copyright (c) 1998, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1987, 1993, 1994 The Regents of the University of California</p>
<p>Copyright (c) 1996, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998-2007 Marti Maria Saguer</p>
<p>Copyright (c) 1996, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2006, Oracle and/or its affiliates</p>
<p>Copyright 2013 Aaron Forsander</p>
<p>Copyright (c) 1989, 1991 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2016-present, RxJava</p>
<p>Copyright (c) 1998-1999 Netscape Communications Corporation</p>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright (c) 2000, 2009, Oracle and/or its affiliates</p>
<p>Copyright 2000-2016 JetBrains s.r.o.</p>
<p>Copyright 2002-2011, LAMP/EPFL</p>
<p>copyrighted by the Free Software Foundation</p>
<p>Copyright (c) The Internet Society (2000)</p>
<p>(c) Copyright IBM Corp. 1996-1998</p>
<p>Copyright (c) 2008, 2017 Sun Microsystems, Oracle Corporation</p>
<p>Origin Google Closure Library, Copyright 2009 The Closure Library</p>
<p>Copyright (c) 1997, 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) The Internet Society (1999)</p>
<p>Copyright 2010-2014 JetBrains s.r.o.</p>
<p>Copyright 2009 The Closure Library Authors</p>
<p>Copyright (c) 2001, Eric D. Friedman</p>
<p>(c) 2011 the Dart Project Authors</p>
<p>Copyright (c) 2004, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000 - 2009 The Legion Of The Bouncy Castle (http://www.bouncycastle.org)</p>
<p>Copyright (c) 1998, 1999, 2000 Glenn Randers-Pehrson</p>
<p>Copyright 2002-2007 the original author or authors</p>
<p>Copyright 2010-20166 JetBrains s.r.o.</p>
<p>Copyright (c) 2003, Kohsuke Kawaguchi</p>
<p>Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.</p>
<p>Copyright (c) The Internet Society (2001)</p>
<p>Copyright (c) 1992,1993,1995,1996,1997,1988 Jens-Uwe Mager, Helios Software GmbH, Hannover, Germany</p>
<p>Copyright (c) 2007, Eclipse Foundation, Inc.</p>
<p>Copyright JetBrains s.r.o.</p>
<p>Copyright (c) 1991-1993 RSA Laboratories</p>
<p>Copyright (c) The Internet Society (1998)</p>
<p>(c) Copyright IBM Corp. 1996 - 1998</p>
<p>Copyright (c) 1994, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995-2009 International Business Machines Corporation and others</p>
<p>Copyright 2012, the Dart project authors</p>
<p>Copyright (c) 2009-2013 The Project Lombok Authors</p>
<p>Copyright (c) 1995-2017 Jean-loup Gailly and Mark Adler</p>
<p>Copyright (c) The Internet Society (2002)</p>
<p>Copyright (c) 1995, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 1997 Andreas Dilger</p>
<p>Copyright (c) 1996, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000-2011 INRIA, France Telecom</p>
<p>Copyright JS Foundation and other contributors <a href="https://js.foundation/">https://js.foundation/</a></p>
<p>Copyright (c) The Internet Society (1997)</p>
<p>Copyright Eric Ford &amp; Hubert Holin 2001</p>
<p>(c) 1997-1999 Netscape Communications Corporation</p>
<p>Copyright 2000-2010 JetBrains s.r.o.</p>
<p>Copyright (c) 2002, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003-2011 David Schultz</p>
<p>Copyright (c) 1997, 1998, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995 Patrick Powell</p>
<p>Copyright (c) 1996 - 2021, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a> , and many contributors</p>
<p>Copyright (c) 1995, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 Harold Cooper</p>
<p>Copyright (c) 1997, 2012, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002-2012 EPFL, Lausanne, unless otherwise specified</p>
<p>(c) 2011 The Guava Authors</p>
<p>Copyright 2010-2015 JetBrains s.r.o.</p>
<p>Copyright 2002-2017 Gradle, Inc.</p>
<p>Copyright (c) 2011 Szabolcs Nagy</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2011-2019 Google, Inc.</p>
<p>Copyright (c) 2004 by Sun Microsystems, Inc.</p>
<p>Copyright (c) 1996, 2009, Oracle and/or its affiliates</p>
<p>(c) Copyright Taligent, Inc. 1996</p>
<p>Copyright (c) Caldera International Inc.</p>
<p>Copyright (c) 1997-2000 Netscape Communications Corporation</p>
<p>Copyright (c) 1994, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 The Android Open Source Project</p>
<p>Copyright (c) 1994, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003 by Bitstream, Inc.</p>
<p>Copyright (c) 2018,2020 Microsoft Research, Daan Leijen</p>
<p>Copyright 2006 Nemanja Trifunovic</p>
<p>Copyright (c) 2003, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000 - 2019 The Legion of the Bouncy Castle Inc. (https://www.bouncycastle.org)</p>
<p>Copyright 2010-2020 JetBrains s.r.o.</p>
<p>Copyright 201L0-201L9 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>(c) Copyright Taligent, Inc. 1996-1998</p>
<p>Copyright 2000-2018 JetBrains s.r.o.</p>
<p>Copyright (c) 2009-2015 The Project Lombok Authors</p>
<p>Copyright 2019-2020 JetBrains s.r.o.</p>
<p>Copyright 2011, The Dojo Foundation</p>
<p>Copyright 2010-2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003-2009 Bruce D. Evans</p>
<p>Copyright 1997, 1998 Sun Microsystems, Inc.</p>
<p>Copyright (c) 2018,2019 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 1994, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2011, 2013 Stephan Herrmann and others</p>
<p>Copyright (c) 1996, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009 Free Software Foundation, Inc.</p>
<p>Copyright 2010- today.year JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 1995, 2010, Oracle and/or its affiliates</p>
<p>Copyright 2010-2017 JetBrains s.r.o</p>
<p>Copyright 2000-2007 JetBrains s.r.o.</p>
<p>Copyright (c) 1998, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2008 Google Inc.</p>
<p>Copyright 2007 Google Inc.</p>
<p>Copyright Eric Ford &amp; Hubert Holin 2001. constexpr KDouble LN2</p>
<p>Copyright (c) 1994, 1998, Oracle and/or its affiliates</p>
<p>Copyright 2000-2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2000-2002 Glenn Randers-Pehrson</p>
<p>Copyright 2018-2020 The JSpecify Authors</p>
<p>Copyright (c) 2000-2005 INRIA, France Telecom</p>
<p>Copyright (c) 1996-2014 Anthony Green, Red Hat, Inc and others</p>
<p>Copyright (c) 1998 - 2020, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright (c) 1996, 1999, Oracle and/or its affiliates</p>
<p>Copyright (c) 2006 by Tavmjong Bah</p>
<p>Copyright 2000-2009 Erich Gamma <a href="mailto:erich_gamma@acm.org">erich_gamma@acm.org</a></p>
<p>Copyright (c) 1994, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2010, Oracle and/or its affiliates</p>
<p>Copyright 2000-2014 JetBrains s.r.o.</p>
<p>Copyright 2010-2016 JetBrains s.r.o.</p>
<p>Copyright (c) 2009-2017 by the contributors</p>
<p>Copyright (c) 2005-2014 Rich Felker</p>
<p>Copyright 2011 The Guava Authors</p>
<p>Copyright (c) 2000, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2000-2017 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2000, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2019 Microsoft Corporation, Daan Leijen</p>
<p>Copyright 2010 Tim Down</p>
<p>Copyright (c) 2005-2010 Sam Stephenson</p>
<p>Copyright (c) 1999, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 Stephen L. Moshier</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright (c) 1997, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 Holger Weiss</p>
<p>Copyright (c) 2011, the Dart project</p>
<p>(c) Copyright IBM Corp. 1996</p>
<p>Copyright (c) 1997, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2008, Oracle and/or its affiliates</p>
<p>Copyright 2010-2020 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright 2015 Realm Inc.</p>
<p>Copyright (c) 1997, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2016 Jamie Sherriff</p>
<p>Copyright (c) 2001-2004 by the MX4J contributors</p>
<p>Copyright (c) 1994 David Burren</p>
<p>(c) Tavmjung Bah</p>
<p>Copyright (c) 1995-1999 Unicode, Inc.</p>
<p>Copyright (c) 2016 Daniel Dreibrodt</p>
<p>Copyright (c) 2020 The JSpecify Authors</p>
<p>Copyright (c) 2018 - 2020, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright 2000-2009 JetBrains s.r.o.</p>
<p>Copyright JS Foundation and other contributors, https://js.foundation</p>
<p>Copyright (c) 2003, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002 JSON.org</p>
<p>Copyright (c) 2011 Valentin Ochs</p>
<p>copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters &amp; Editors <a href="http://underscorejs.org/">http://underscorejs.org/</a></p>
<p>Copyright 2010-2019 JetBrains s.r.o.</p>
<p>Copyright (c) 1998 - 2021, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright 2000-2017 JetBrains s.r.o.</p>
<p>Copyright 2011, John Resig</p>
<p>Copyright (c) 1991, 1999 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2001-2008 Ville Laurikari</p>
<p>Copyright 2010-2021 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2018-2020, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 1998, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2010-2021 JetBrains s.r.o.</p>
<p>Copyright (c) 1995, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) The Internet Society (1997-2000)</p>
<p>Copyright (c) 1994, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2018, Microsoft Research, Daan Leijen</p>
<p>Copyright 2010-2013 JetBrains s.r.o.</p>
<p>Copyright (c) 2009-2014 by the contributors</p>
<p>Copyright (c) 2011-15 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: Kotlin 1.6.20</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2005 University of Maryland - Path</p>
<p>Copyright (c) 2008-2018, Nathan Sweet</p>
<p>Copyright (c) 1995, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996 by Internet Software Consortium</p>
<p>Copyright (c) 2005-2006 University of Maryland</p>
<p>Copyright (c) 1997, 2007, Oracle and/or its affiliates</p>
<p>Copyright (c) 1999 CERN - European Organization for Nuclear Research</p>
<p>Copyright (c) 2013 Square, Inc.</p>
<p>Copyright (c) 2019-2020 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2013 Aaron Forsander</p>
<p>Copyright (c) 2008 Ariel Flesler</p>
<p>Copyright (c) 2020-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1996, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2012 John Resig, Jorn Zaefferer</p>
<p>Copyright (c) 2012-2018 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2000 by Martin Pool <a href="mailto:mbp@humbug.org.au">mbp@humbug.org.au</a></p>
<p>Copyright (c) Caldera International Inc. 2001-2002</p>
<p>Copyright 2011-2017, JetBrains</p>
<p>Copyright (c) 2005 University of Maryland</p>
<p>Copyright (c) 1996, 2001, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009-2013 The Project Lombok Authors</p>
<p>Copyright (c) 2000-2006, www.hamcrest.org</p>
<p>Copyright (c) 1996, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2019 The Android Open Source Project</p>
<p>Copyright (c) 2009-2021 The Project Lombok Authors</p>
<p>Copyright 2010-2017 JetBrains s.r.o.</p>
<p>Copyright (c) 2000-2015 www.hamcrest.org</p>
<p>Copyright (c) The Internet Society (2005)</p>
<p>Copyright (c) 2003-2009 Steven G. Kargl</p>
<p>Copyright (c) 2000, 2005, Oracle and/or its affiliates</p>
<p>copyright by JetBrains</p>
<p>Copyright 2000-2018 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>(c) 2007-08 Google Inc.</p>
<p>Copyright (c) 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1993 by Sun Microsystems, Inc.</p>
<p>Copyright (c) 1998, 1999, Oracle and/or its affiliates</p>
<p>Copyright Taligent, Inc. 1996, 1997</p>
<p>Copyright 2001-2009 Kent Beck <a href="mailto:kent@threeriversinstitute.org">kent@threeriversinstitute.org</a></p>
<p>Copyright (c) 1994, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000-2011 ymnk, JCraft,Inc.</p>
<p>Copyright (c) 1994, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997-1999 Netscape Communications Corporation</p>
<p>Copyright (c) 2011-2013 Vojta Jina and contributors</p>
<p>Copyright 2000-2020 JetBrains s.r.o.</p>
<p>Copyright 2010-2018 JetBrains s.r.o.</p>
<p>Copyright 2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2004, 2006-2009 Glenn Randers-Pehrson</p>
<p>Copyright (c) 2018 Chad Retz</p>
<p>LazyJavaStaticScope (c) Null</p>
<p>Copyright (c) 1994, 2001, Oracle and/or its affiliates</p>
<p>Copyright 2010-2018 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>(c) 1995-2004 Jean-loup Gailly and Mark Adler</p>
<p>Copyright (c) 2004-2017 QOS.ch</p>
<p>Copyright (c) 1993,2004 Sun Microsystems</p>
<p>Copyright 2010-2020 JetBrains s.r.o</p>
<p>Copyright (c) 1995-2005 International Business Machines Corporation and others</p>
<p>Copyright 2006-2009 David Saff <a href="mailto:david@saff.net">david@saff.net</a></p>
<p>Copyright (c) 1991-2005 Unicode, Inc.</p>
<p>Copyright (c) 1991-2005 Unicode, Inc.</p>
<p>copyright (c) 1991-1998, Thomas G. Lane</p>
<p>Copyright (c) 1998, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1987, 1993, 1994 The Regents of the University of California</p>
<p>Copyright (c) 2012-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 1996, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998-2007 Marti Maria Saguer</p>
<p>Copyright (c) 1996, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2006, Oracle and/or its affiliates</p>
<p>Copyright 2013 Aaron Forsander</p>
<p>Copyright (c) 1989, 1991 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2016-present, RxJava</p>
<p>Copyright (c) 1998-1999 Netscape Communications Corporation</p>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright (c) 2000, 2009, Oracle and/or its affiliates</p>
<p>Copyright 2000-2016 JetBrains s.r.o.</p>
<p>Copyright 2002-2011, LAMP/EPFL</p>
<p>copyrighted by the Free Software Foundation</p>
<p>Copyright (c) The Internet Society (2000)</p>
<p>Copyright IBM Corp. 1996-1998</p>
<p>Copyright 2010-2022 JetBrains s.r.o.</p>
<p>Copyright (c) 2018-2021, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2008, 2017 Sun Microsystems, Oracle Corporation</p>
<p>Copyright 2009 The Closure Library</p>
<p>Copyright (c) 1997, 2000, Oracle and/or its affiliates</p>
<p>Copyright (c) The Internet Society (1999)</p>
<p>Copyright 2010-2014 JetBrains s.r.o.</p>
<p>Copyright 2009 The Closure Library Authors</p>
<p>Copyright (c) 2001, Eric D. Friedman</p>
<p>(c) 2011 the Dart Project Authors</p>
<p>Copyright (c) 2004, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000 - 2009 The Legion Of The Bouncy Castle (http://www.bouncycastle.org)</p>
<p>Copyright (c) 1998, 1999, 2000 Glenn Randers-Pehrson</p>
<p>Copyright 2002-2007 the original author or authors</p>
<p>Copyright 2010-20166 JetBrains s.r.o.</p>
<p>Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.</p>
<p>Copyright (c) 2003, Kohsuke Kawaguchi</p>
<p>Copyright (c) The Internet Society (2001)</p>
<p>Copyright (c) 1992,1993,1995,1996,1997,1988 Jens-Uwe Mager, Helios Software GmbH, Hannover, Germany</p>
<p>Copyright (c) 2007, Eclipse Foundation, Inc.</p>
<p>Copyright JetBrains s.r.o.</p>
<p>Copyright (c) 1991-1993 RSA Laboratories</p>
<p>Copyright (c) 2019-2021 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) The Internet Society (1998)</p>
<p>Copyright IBM Corp. 1996 - 1998</p>
<p>Copyright (c) 1994, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995-2009 International Business Machines Corporation and others</p>
<p>Copyright (c) 2009-2013 The Project Lombok Authors</p>
<p>Copyright 2012, the Dart project authors</p>
<p>Copyright (c) 1995-2017 Jean-loup Gailly and Mark Adler</p>
<p>Copyright (c) The Internet Society (2002)</p>
<p>Copyright (c) 1995, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 1997 Andreas Dilger</p>
<p>Copyright (c) 1996, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000-2011 INRIA, France Telecom</p>
<p>Copyright JS Foundation and other contributors <a href="https://js.foundation/">https://js.foundation/</a></p>
<p>Copyright (c) The Internet Society (1997)</p>
<p>Copyright Eric Ford &amp; Hubert Holin 2001</p>
<p>(c) 1997-1999 Netscape Communications Corporation</p>
<p>Copyright 2000-2010 JetBrains s.r.o.</p>
<p>Copyright (c) 2002, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003-2011 David Schultz</p>
<p>Copyright (c) 1997, 1998, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995 Patrick Powell</p>
<p>Copyright (c) 1996 - 2021, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a> , and many contributors</p>
<p>Copyright (c) 1995, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 Harold Cooper</p>
<p>Copyright (c) 1997, 2012, Oracle and/or its affiliates</p>
<p>(c) 2011 The Guava Authors</p>
<p>Copyright (c) 2002-2012 EPFL, Lausanne, unless otherwise specified</p>
<p>Copyright 2010-2015 JetBrains s.r.o.</p>
<p>Copyright 2002-2017 Gradle, Inc.</p>
<p>Copyright (c) 2011 Szabolcs Nagy</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2011-2019 Google, Inc.</p>
<p>Copyright (c) 2004 by Sun Microsystems, Inc.</p>
<p>Copyright (c) 1996, 2009, Oracle and/or its affiliates</p>
<p>(c) Copyright Taligent, Inc. 1996</p>
<p>Copyright (c) Caldera International Inc.</p>
<p>Copyright (c) 1997-2000 Netscape Communications Corporation</p>
<p>Copyright (c) 1994, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1994, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 2003, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 The Android Open Source Project</p>
<p>Copyright (c) 1994, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 1998, 2002, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2018-2021 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2003 by Bitstream, Inc.</p>
<p>Copyright 2006 Nemanja Trifunovic</p>
<p>Copyright (c) 2018-2020 Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2003, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000 - 2019 The Legion of the Bouncy Castle Inc. (https://www.bouncycastle.org)</p>
<p>Copyright 2010-2020 JetBrains s.r.o.</p>
<p>Copyright (c) 2012-2016 Free Software Foundation, Inc.</p>
<p>Copyright 201L0-201L9 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright Taligent, Inc. 1996-1998</p>
<p>Copyright 2000-2018 JetBrains s.r.o.</p>
<p>Copyright (c) 2009-2015 The Project Lombok Authors</p>
<p>Copyright 2019-2020 JetBrains s.r.o.</p>
<p>Copyright 2011, The Dojo Foundation</p>
<p>Copyright 2010-2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003-2009 Bruce D. Evans</p>
<p>Copyright (c) 1994, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 2011, 2013 Stephan Herrmann and others</p>
<p>Copyright (c) 1996, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009 Free Software Foundation, Inc.</p>
<p>Copyright 2010- today.year JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 1995, 2010, Oracle and/or its affiliates</p>
<p>Copyright 2000-2007 JetBrains s.r.o.</p>
<p>Copyright (c) 1998, 2009, Oracle and/or its affiliates</p>
<p>Copyright (c) 2019-2021, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2009, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2008 Google Inc.</p>
<p>Copyright 2007 Google Inc.</p>
<p>Copyright Eric Ford &amp; Hubert Holin 2001. constexpr KDouble LN2</p>
<p>Copyright (c) 1994, 1998, Oracle and/or its affiliates</p>
<p>Copyright 2000-2019 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2000-2002 Glenn Randers-Pehrson</p>
<p>Copyright 2018-2020 The JSpecify Authors</p>
<p>Copyright (c) 2000-2005 INRIA, France Telecom</p>
<p>Copyright (c) 1996-2014 Anthony Green, Red Hat, Inc and others</p>
<p>Copyright (c) 1998 - 2020, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright (c) 1996, 1999, Oracle and/or its affiliates</p>
<p>Copyright (c) 2006 by Tavmjong Bah</p>
<p>Copyright 2000-2009 Erich Gamma <a href="mailto:erich_gamma@acm.org">erich_gamma@acm.org</a></p>
<p>Copyright 2019 Square, Inc.</p>
<p>Copyright (c) 1994, 2004, Oracle and/or its affiliates</p>
<p>Copyright (c) 1996, 2010, Oracle and/or its affiliates</p>
<p>Copyright 2000-2014 JetBrains s.r.o.</p>
<p>Copyright 2010-2016 JetBrains s.r.o.</p>
<p>Copyright (c) 2009-2017 by the contributors</p>
<p>Copyright (c) 2005-2014 Rich Felker</p>
<p>Copyright 2011 The Guava Authors</p>
<p>Copyright (c) 2000, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2000-2017 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2000, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2008, Oracle and/or its affiliates</p>
<p>Copyright (c) 2019 Microsoft Corporation, Daan Leijen</p>
<p>Copyright 2010 Tim Down</p>
<p>Copyright (c) 2005-2010 Sam Stephenson</p>
<p>Copyright (c) 1999, 2011, Oracle and/or its affiliates</p>
<p>Copyright (c) 2013-2021 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2008 Stephen L. Moshier</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright (c) 1997, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) 2000, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2008 Holger Weiss</p>
<p>Copyright (c) 2019-2020, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 2011, the Dart project</p>
<p>Copyright IBM Corp. 1996</p>
<p>Copyright (c) 1997, 2003, Oracle and/or its affiliates</p>
<p>Copyright (c) 1995, 2008, Oracle and/or its affiliates</p>
<p>Copyright 2010-2020 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright 2015 Realm Inc.</p>
<p>Copyright (c) 1997, 2006, Oracle and/or its affiliates</p>
<p>Copyright (c) 2016 Jamie Sherriff</p>
<p>Copyright (c) 2001-2004 by the MX4J contributors</p>
<p>Copyright (c) 1994 David Burren</p>
<p>(c) Tavmjung Bah</p>
<p>Copyright (c) 1995-1999 Unicode, Inc.</p>
<p>Copyright (c) 2016 Daniel Dreibrodt</p>
<p>Copyright (c) 2020 The JSpecify Authors</p>
<p>Copyright (c) 2018 - 2020, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright JS Foundation and other contributors, https://js.foundation</p>
<p>Copyright 2010-2022 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2003, 2005, Oracle and/or its affiliates</p>
<p>Copyright (c) 2002 JSON.org</p>
<p>Copyright (c) 2011 Valentin Ochs</p>
<p>copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters &amp; Editors <a href="http://underscorejs.org/">http://underscorejs.org/</a></p>
<p>Copyright 2010-2019 JetBrains s.r.o.</p>
<p>Copyright (c) 1998 - 2021, Daniel Stenberg, <a href="mailto:daniel@haxx.se">daniel@haxx.se</a></p>
<p>Copyright 2011, John Resig</p>
<p>Copyright (c) 1991, 1999 Free Software Foundation, Inc.</p>
<p>Copyright (c) 2001-2008 Ville Laurikari</p>
<p>Copyright 2010-2021 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright (c) 2018-2020, Microsoft Research, Daan Leijen</p>
<p>Copyright (c) 1998, 2010, Oracle and/or its affiliates</p>
<p>Copyright (c) 1997, 2011, Oracle and/or its affiliates</p>
<p>Copyright 2010-2021 JetBrains s.r.o.</p>
<p>Copyright (c) 1995, 2013, Oracle and/or its affiliates</p>
<p>Copyright (c) The Internet Society (1997-2000)</p>
<p>Copyright (c) 1994, 2014, Oracle and/or its affiliates</p>
<p>Copyright (c) 2009-2014 by the contributors</p>
<p>Copyright 2010-2013 JetBrains s.r.o.</p>
<p>Copyright (c) 2011-15 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: kotlinx.coroutines 1.5.2</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2016-2019 JetBrains s.r.o</p>
<p>Copyright 2016- today.year JetBrains s.r.o.</p>
<p>Copyright 2016-2020 JetBrains s.r.o.</p>
<p>Copyright 2016-2019 JetBrains s.r.o.</p>
<p>Copyright 2016-2021 JetBrains s.r.o.</p>
<p>Copyright (c) 2016 Parker Moore</p>
<p>Copyright 2000-2020 JetBrains s.r.o. and Kotlin Programming Language contributors</p>
<p>Copyright 2016-2018 JetBrains s.r.o.</p>
<p>Copyright 2015 the original author or authors</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: okhttp 4.10.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2015 the original author or authors</p>
<p>Copyright (c) 2019 Square, Inc.</p>
<p>Copyright (c) 2019 Square, Inc.</p>
<p>Copyright (c) 2020 Square, Inc.</p>
<p>Copyright (c) 2018 Square, Inc.</p>
<p>Copyright (c) 2012 Google Inc.</p>
<p>Copyright (c) 2011 Google Inc.</p>
<p>Copyright (c) 2013 Square, Inc.</p>
<p>Copyright (c) 2014 Square, Inc.</p>
<p>Copyright (c) 2012 Square, Inc.</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2012 The Android Open Source Project</p>
<p>Copyright (c) 2015 Square, Inc.</p>
<p>Copyright (c) 2010 The Android Open Source Project</p>
<p>Copyright (c) 2017 Square, Inc.</p>
<p>Copyright (c) 2016 Square, Inc.</p>
<p>Copyright (c) 2013 Twitter, Inc.</p>
<p>Copyright (c) 2016 Google Inc.</p>
<p>Copyright (c) 2019 Square Inc.</p>
<p>Copyright (c) 2014 Square Inc.</p>
<p>Copyright (c) 2011 The Guava Authors</p>
<p>Copyright (c) 2009 The Android Open Source Project</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright (c) zbar http h:example.com</p>
<p>Copyright (c) 2016 The Netty Project</p>
<p>Copyright (c) 2006 Entrust, Inc.</p>
<p>Copyright (c) 2009 Entrust, Inc.</p>
<p>Copyright (c) 2014 Entrust, Inc.</p>
<p>Copyright (c) 2006 Entrust</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: okio 3.0.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2015-2021 the original</p>
<p>Copyright 2015 the original author or authors</p>
<p>Copyright (c) 2019 Square, Inc.</p>
<p>Copyright 2013 Square, Inc.</p>
<p>Copyright (c) 2018 Square, Inc. and others</p>
<p>Copyright (c) 2014 Square, Inc. and others</p>
<p>Copyright (c) 2020 Square, Inc. and others</p>
<p>Copyright (c) 2016 Square, Inc. and others</p>
<p>Copyright (c) 2019 Square, Inc. and others</p>
<p>Copyright (c) 2018 Square, Inc.</p>
<p>Copyright (c) 2020 Square, Inc.</p>
<p>Copyright (c) 2021 Square, Inc.</p>
<p>Copyright (c) 2016 Square, Inc.</p>
<p>Copyright (c) 2014 Square, Inc.</p>
<p>Copyright (c) 2015 Square, Inc.</p>
<p>Copyright (c) 2017 Square, Inc.</p>
<p>Copyright 2014 Square Inc.</p>
<p>Copyright (c) 2013 Square, Inc.</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
